Prioritize the upgrade from J! 1.5 to J! 2.5 - JoomlArt
Viewing 15 posts - 1 through 15 (of 16 total)
  • Author
    Posts
  • iguinee JATC
    #173443

    Dear Joomlart,

    Since I read your article on Roadmap for updating our Joomla! 1.7 products to Joomla! 2.5, I have taken the task to check how much the templates have done since their birth.

    I looked at the total downloads for all the templates that are still for ONLY Joomla! 1.5. A massive total of about 82 templates (there may be a little bit more as I did not find data on some of them, maybe 3 or 5 old ones).

    I checked the total downloads for all of them, and wherever there was data, I ranked them accordingly – from 1 to 12 with the Highest number of downloads first. See images.

    I ordered them per year, hoping this will help in finding out quickly how to prioritize. (Nothing genius). This was checked on 31st January 2012 between 15:07 to 15:30 GMT.

    Most (if not all) of the 2010 and all of 2011 templates are already on Joomla! 1.7 with the latest framework, I presume. So this is based on ONLY 1.5 templates running on the old framework.

    See word document attached for more details.

    18969


    TomC Developer
    #436581

    Appreciate the effort and thought process . . . Will take the information into consideration.

    aardcom JATC
    #436645

    Will there be upgrades from 1.5 to 2.5 or will we need to redesign from scratch. We stayed with 1.5 instead of upgrading to 1.6 or 1.7 as originally there was to be upgrades to 1.8 available. Going to be a busy month if we have to start over on all our sites.

    And thank you for all the efforts the team has made with all the changes. I understand the workload you face as a result of supporting all these version changes.

    TomC Developer
    #436649

    Perhaps this may help . . . MIGRATING from J1.5 to J1.7 . . . to J2.5

    blink black Friend
    #436659

    Please is JA NEX 2.5 ready?

    TomC Developer
    #436662

    <em>@blink_black 298399 wrote:</em><blockquote>Please is JA NEX 2.5 ready?</blockquote>

    SEE THIS –> http://www.joomlart.com/blog/news-updates/joomla-25-templates-and-extensions-update-and-our-roadmap

    Further, a number of members have updated their JA-Nex templates to J2.5 and have reported that it is working as it should

    blink black Friend
    #436664

    Thanks Tom. I am reading through the tutorial. However, that is for migrating Joomla to 2.5. I was under the impression that if the template is not 2.5 ready, it wont work.

    EDIT::: I did not see your response using my mobile device. I logged in now and saw it clearly. Thanks.

    aardcom JATC
    #436694

    Correct me if I am wrong but a few months ago there were posts regarding the migration or roadmap that Joomlart was working on. All templates were going to be updated, to use the JAT3 system and they are not. Also mentioned going from 1. 5 to 1.8 as an option since a lot of 3rd party development skipped 1.6 altogether. That’s why we stuck with 1.5.

    Given that the process of going from 1.5 to 2.5 now looks like it involves upgrading to 1.7, I think there will be many issues to sort through. It’s not just the template but the the extensions and the modifications.

    We have clients asking about the upgrade process and I’ll assume it’s better to start over as the 2.5 templates are introduced rather than try to upgrade unless there is a script to do so. How that would work with 3rd party extensions is yet another issue we all face. K2 and a few other components are built into the recent templates releases and I don’t see how upgrading can be a simple process. Correct me if I am wrong.

    iguinee JATC
    #456845

    Just wondering how this project is going as it is a bit quite (surely not from JA’s end). Any updates for us?

    Arvind Chauhan Moderator
    #458426

    hi iguinee,

    We do have plans to upgrade templates from 1.5 to 2.5 in the coming time, however, a confirmed date / month for the releases can not be provided at this time… we have been pretty occupied on other important projects.

    Plus Joomla 3.0 with twitter bootstrap and other changes are bound to affect the templates, so we are waiting for 3.0 too.. coz it would be lot of work for us to redo all our current templates too…

    Too many joomla versions and too many core changes makes it harder for us to be in sync… too many backlogs to take care of.

    We shall announce on the blog, once we can have a clear roadmap for release.

    Regards

    Arvind

    aardcom JATC
    #458497

    I can appreciate the work that is involved, however I really think Joomart is dropping the ball on this. I have several older templates in use which have still not been upgraded, do not use T3, and we now are faced with implementing new templates, not because the client wants to change but because the Joomla version is no longer supported. It is hard to justify using a new/different Joomlart template when you have templates that are no longer supported, and we have no way to determine which will be supported down the road. If they were free it would not be an issue, but we pay for a set number every year. To not be able to use some, because they are no longer deemed worthy of upgrades is discouraging.

    How do we determine which templates will be upgraded, and which will not. It has been quite a while between the introduction of 1.6 and yet there are many older templates with no upgrade. No 1.7, no 2.5 and now we’re asked to wait until 3.0. We have been told ALL templates would be upgraded, not some. Even without T3 the templates should be upgraded for use with 2.5.

    Not a great business plan and it makes it difficult for both long term developers and end users.

    iguinee JATC
    #512981

    Dear JA,

    What’s happening with the upgrade of some of the best JA Templates, still left on J! 1.5? We need these templates. The preview of the december 2013 template indicate a duplication of templates (music and movies) whilst I believe you can improve on existing ones line JA Seleni, Teline X and others.

    May I remind you this? Please update us

    <blockquote>We would NOT be releasing any new Joomla 1.5 template from Feb 2012 onwards, that saves our various teams almost 45 days of work! We plan to use these saved 45 man days for upgrades and converting older templates to Joomla 2.5. […]
    </blockquote> http://www.joomlart.com/blog/news-updates/joomla-25-templates-and-extensions-update-and-our-roadmap

    What’s happening to this project? You have very good OLD templates and they feel very lonely there. Please dedicate the 45 day man power to upgrade them.

    Arvind Chauhan Moderator
    #513125

    Hi Guys,

    Its really difficult to answer this question. Yes, there are really good looking old templates pending but we have quite many pending tasks to be completed before we can plan for them.

    Let me talk to team again to see if its possible to take up few of oldies for the next year.

    Regards

    Arvind

    iguinee JATC
    #513976

    Any good news on this?

    phong nam Friend
    #514190

    Hi iguinee,

    At this time, our development team has priority in upgrading the T3v2 templates (i.e Mixmaz, University) to Joomla 3.2 and delivering the December template on time. Honestly, other requests like upgrading the old J1.5 templates to Joomla 2.5/3 is not yet in place. Should we have any update on this request we will make sure that you are among the first who know.

Viewing 15 posts - 1 through 15 (of 16 total)

This topic contains 16 replies, has 6 voices, and was last updated by  iguinee 2 years, 2 months ago.

You must be logged in to reply to this topic.